export OSPL_HOME=/usr

_DEFAULT_OSPL_URI="file://$AMENT_CURRENT_PREFIX/share/opensplice_cmake_module/config/ros_ospl.xml"

if [ -f "$OSPL_HOME/release.com" ]; then
  _ORIGINAL_OSPL_URI="$OSPL_URI"
  . "$OSPL_HOME/release.com" > /dev/null
  if [ -n "$_ORIGINAL_OSPL_URI" ]; then
    # If the OSPL_URI was set before sourcing the release.com script, restore it.
    export OSPL_URI="$_ORIGINAL_OSPL_URI"
  else
    # Otherwise override the OSPL_URI from the release.com with the ros default config.
    export OSPL_URI="$_DEFAULT_OSPL_URI"
  fi
  unset _ORIGINAL_OSPL_URI
else
  export OSPL_TMPL_PATH=$OSPL_HOME/etc/opensplice/idlpp
  # detect if running on Darwin platform
  _UNAME=`uname -s`
  _IS_DARWIN=0
  if [ "$_UNAME" = "Darwin" ]; then
    _IS_DARWIN=1
  fi
  unset _UNAME

  if [ $_IS_DARWIN -eq 0 ]; then
    ament_prepend_unique_value LD_LIBRARY_PATH "$OSPL_HOME/lib"
  else
    ament_prepend_unique_value DYLD_LIBRARY_PATH "$OSPL_HOME/lib"
  fi
  unset _IS_DARWIN
fi

if [ -z "$OSPL_URI" ]; then
  export OSPL_URI="$_DEFAULT_OSPL_URI"
elif [ "$OSPL_URI" != "$_DEFAULT_OSPL_URI" ]; then
  echo "Warning: OSPL_URI was already set to [[$OSPL_URI]]. This will not override it to the default [[$_DEFAULT_OSPL_URI]]. Please make sure this is the config that you want." 1>&2
fi

unset _DEFAULT_OSPL_URI

export OSPL_INFOFILE="<stdout>"
export OSPL_ERRORFILE="<stderr>"
export OSPL_VERBOSITY=2
